Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Your Merchant API key. Create one in Dashboard → Developers → API keys.

Path Parameters

storeId
string
required

Your store id. Find it in Dashboard → Developers, or in GET /stores with MCP.

Body

application/json
name
string
required
Required string length: 1 - 200
description
string
required
Required string length: 1 - 50000
price
number
required
Required range: 0 <= x <= 1000000
slashedPrice
number | null
Required range: 0 <= x <= 1000000
images
string[]
Maximum array length: 20
Maximum string length: 500
visibility
enum<string>
Available options:
public,
private,
unlisted,
on-hold
categoryId
string | null
Maximum string length: 100
variants
object[]
deliveryConfig
object
displayConfig
object
slug
string
Required string length: 1 - 200
metaTitle
string | null
Maximum string length: 200
metaDescription
string | null
Maximum string length: 500
metaImage
string | null
Maximum string length: 500
embedCardType
enum<string> | null
Available options:
small,
large

Response

The new product.

The response is of type object.